#!/usr/bin/perl

use strict;
use warnings;

use Debian::Control;
use Debian::Control::Stanza::Binary;
use JSON::XS;
use Path::Tiny 0.060;
use Text::WrapI18N qw(wrap $columns);

$columns = 72;

my $data = decode_json path('listing.json')->slurp_utf8;

my $control = Debian::Control->new();

# TODO: load only source stanza
$control->read('debian/control');

foreach my $app ( @{ $data->{'@graph'} } ) {
	my $pkg_id = 'epiphany-webapps-' . $app->{'@id'};

	$control->binary->{$pkg_id} = Debian::Control::Stanza::Binary->new(
		{   Package           => $pkg_id,
			Architecture      => 'all',
			Depends           => 'epiphany-browser, ${misc:Depends},',
			short_description => 'web app to ' . lcfirst( $app->{comment} ),
			long_description  => wrap( '', '', $app->{description} ) . <<EOF


A web application (or web app) is an application software
that runs on a web server,
unlike computer-based software programs
that are stored locally on the Operating System (OS) of the device.
EOF
		}
	);
}

$control->write('debian/control');
